Skip to main content

Update Repair Unit

PUT 

/api/repairs/:repair/lines/:line

Update Repair Unit.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • product_id (optional): integer, exists:products,id
  • quantity (optional): integer, min:1, max:100000
  • sales_order_line_id (optional): integer, exists:sales_order_lines,id
  • serial_number_id (optional): integer, exists:serial_numbers,id
  • lot_number (optional): string, max:100
  • warranty_registration_id (optional): integer, exists:warranty_registrations,id
  • customer_description (optional): string, max:5000
  • diagnosis_notes (optional): string, max:20000
  • root_cause (optional): Enum:in:"manufacturing_defect","wear_and_tear","accidental_damage","misuse","shipping_damage","no_fault_found","unknown"
  • fault_attribution (optional): Enum:in:"supplier","brand_process","carrier","customer","none"
  • technician_user_id (optional): integer
  • custody_warehouse_location_id (optional): integer, exists:warehouse_locations,id
  • target_product_id (optional): integer, exists:products,id
  • issue_type_ids (optional): array
  • issue_type_ids.* (optional): integer, exists:repair_issue_types,id
  • found_issue_type_ids (optional): array
  • found_issue_type_ids.* (optional): integer, exists:repair_issue_types,id
  • requested_service (optional): Enum:in:"repair","replate","replace"
  • performed_service (optional): Enum:in:"repair","replate","replace","parts","credit","none"
  • component_product_id (optional): integer, exists:products,id
  • customer_product_text (optional): string, max:255
  • needs_product_match (optional): boolean

Permission: repairs.update|repairs.bench. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type